Page MenuHomePhabricator

meson build system
ClosedPublic

Authored by vtorri on Jan 29 2021, 9:07 AM.

Details

Reviewers
raster
devilhorns
Test Plan

compilation

Diff Detail

Branch
vtorri_meson
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 17486
Build 11748: arc lint + arc unit
vtorri created this revision.Jan 29 2021, 9:07 AM
vtorri requested review of this revision.Jan 29 2021, 9:07 AM
devilhorns requested changes to this revision.Feb 1 2021, 5:35 AM
devilhorns added inline comments.
data/themes/meson.build
7

etui ??

13

etui ?

src/lib/meson.build
14

This line causes a Meson build failure when I execute it here:

src/lib/meson.build:13:0: ERROR: C shared or static library 'ws2_32' not found

This revision now requires changes to proceed.Feb 1 2021, 5:35 AM
vtorri updated this revision to Diff 31359.Feb 1 2021, 5:51 AM

fix build issue on non Windows OS

vtorri marked 2 inline comments as done.Feb 1 2021, 5:51 AM

It starts to build now :) but getting lots of build issues ... I've attached a log of the build output

vtorri updated this revision to Diff 31360.Feb 1 2021, 2:06 PM

missing new line

@vtorri This is looking Soo much better....

meson.build
8

c99? Is this ok ?

86

-g ?

104

remove commented blocks when done please

vtorri added inline comments.Feb 1 2021, 10:02 PM
meson.build
8

it's needed for variadic macro (like EINA_LOG_ERROR)

86

normally, the buildtype option with value debugoptimized or debug should pass -g

104

of course

vtorri updated this revision to Diff 31375.Feb 12 2021, 7:53 AM

remove c99 standard

vtorri updated this revision to Diff 31376.Feb 12 2021, 8:45 AM

remove compiler error flag

devilhorns accepted this revision.Feb 12 2021, 8:47 AM
This revision is now accepted and ready to land.Feb 12 2021, 8:47 AM
vtorri updated this revision to Diff 31377.Feb 12 2021, 9:04 AM

add private libs -lws2_32 to express.pc on Windows

vtorri updated this revision to Diff 31378.Feb 12 2021, 9:27 AM

fix typo

devilhorns closed this revision.Feb 12 2021, 9:33 AM

@vtorri A huge Thank You for your hard work here !!!